summaryrefslogtreecommitdiff
path: root/bin/fir2flo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/fir2flo.sh')
-rwxr-xr-xbin/fir2flo.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/fir2flo.sh b/bin/fir2flo.sh
index 481f4418..3d425a4a 100755
--- a/bin/fir2flo.sh
+++ b/bin/fir2flo.sh
@@ -1,4 +1,6 @@
#!/bin/bash
$CHISEL_BIN/firrtl -i $1.fir -o $1.flo -X flo # -x X # -p c # tkwTgc
-$CHISEL_BIN/filter < $1.flo > tmp; mv tmp $1.flo
+if [ $? ] ; then
+ $CHISEL_BIN/filter < $1.flo > tmp && mv tmp $1.flo
+fi